jQuery(function($) {
	e5_hc_register_article_select();

	$('#woocommerce-product-data').on('woocommerce_variations_loaded', function(event) {
		e5_hc_register_article_select();
	});

	function e5_hc_register_article_select() {
		$('._e5_hc_article').selecte5({
			ajax: {
				url: ajaxurl,
				dataType: 'json',
				delay: 250,
				data: function (params) {
					return {
						q: params.term,
						action: 'hc_article_search'
					};
				},
				processResults: function( data ) {
					var options = [];
					if (data) {
						$.each(data, function(index, article) {
							options.push({
								id: article.id,
								text: article.name,
							});
						});
					}
					return {results: options};
				},
				cache: true,
			},
			minimumInputLength: 3,
			allowClear: true,
			placeholder: '',
		});
	}
});
