<?php

if (!defined('ABSPATH')) {
	exit;
}

class WC_HC_Article {
	public $article_id = '';
	public $name = '';

	private $_communicator = null;

	function __construct($article_id) {
		$this->_communicator = new WC_HC_Communicator();
		$this->article_id = $article_id;
	}

	public function load() {
		$article = $this->_communicator->load_article($this->article_id);

		if ($article['article_name']) {
			$this->name = $article['article_name'];
		}
	}
}
